| PDL for FM0+ Version1.0 Peripheral Driverl Library for FM0+

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
stc_rtc_time Struct Reference
Real Time Clock (RTC)

Real Time Clock Date and Time structure. More...

`#include <rtc.h>`

## Data Fields
uint8_t | u8Second
| Second (Format 0...59)
uint8_t | u8Minute
| Minutes (Format 0...59)
uint8_t | u8Hour
| Hour (Format 0...23)
uint8_t | u8Day
| Day (Format 1...31)
uint8_t | u8DayOfWeek
| Day of the week (Format 0...6)
uint8_t | u8Month
| Month (Format 1...12)
uint16_t | u16Year
| Year (Format 1...99) + 2000.

## Detailed Description

Real Time Clock Date and Time structure.

Definition at line 340 of file rtc.h.

## Field Documentation

uint16_t u16Year

Year (Format 1...99) + 2000.

Definition at line 348 of file rtc.h.

Referenced by Rtc_Init(), Rtc_IrqHandler(), Rtc_ReadDateTime(), Rtc_SetDateTime(), and RtcToTm().

uint8_t u8Day

Day (Format 1...31)

Definition at line 345 of file rtc.h.

Referenced by Rtc_Init(), Rtc_IrqHandler(), Rtc_ReadDateTime(), Rtc_SetDateTime(), and RtcToTm().

uint8_t u8DayOfWeek

Day of the week (Format 0...6)

Definition at line 346 of file rtc.h.

Referenced by Rtc_Init(), Rtc_ReadDateTime(), Rtc_SetDateTime(), and Rtc_SetDayOfWeek().

uint8_t u8Hour

Hour (Format 0...23)

Definition at line 344 of file rtc.h.

Referenced by Rtc_Init(), Rtc_IrqHandler(), Rtc_ReadDateTime(), Rtc_SetDateTime(), and RtcToTm().

uint8_t u8Minute

Minutes (Format 0...59)

Definition at line 343 of file rtc.h.

Referenced by Rtc_Init(), Rtc_IrqHandler(), Rtc_ReadDateTime(), Rtc_SetDateTime(), and RtcToTm().

uint8_t u8Month

Month (Format 1...12)

Definition at line 347 of file rtc.h.

Referenced by Rtc_Init(), Rtc_IrqHandler(), Rtc_ReadDateTime(), Rtc_SetDateTime(), and RtcToTm().

uint8_t u8Second

Second (Format 0...59)

Definition at line 342 of file rtc.h.

Referenced by Rtc_Init(), Rtc_ReadDateTime(), Rtc_SetDateTime(), and RtcToTm().

The documentation for this struct was generated from the following file:

- C:/pdl_v10/library/driver/rtc/rtc.h